import{s as ue,n as he,o as $e}from"../chunks/scheduler.b108d059.js";import{S as be,i as Me,g as i,s as a,r as x,A as ge,h as p,f as s,c as n,j as de,u as y,x as o,k as fe,y as _e,a as l,v as C,d as U,t as J,w as k}from"../chunks/index.008de539.js";import{C as O}from"../chunks/CodeBlock.3968c746.js";import{H as ee}from"../chunks/Heading.88bfeb84.js";function we(te){let c,S,G,P,m,Z,r,se="이 튜토리얼에서는 <code>huggingface_hub</code>를 사용하여 Hub에서 모델, 데이터 세트 및 Spaces를 검색하는 방법을 배웁니다.",Q,d,X,f,le=`<code>huggingface_hub</code> 라이브러리에는 Hub와 상호작용하기 위한 HTTP 클라이언트<code>HfApi</code>가 포함되어 있습니다.
이를 통해, Hub에 저장된 모델, 데이터셋, 그리고 Spaces를 나열할 수 있습니다.`,z,u,R,h,ae="<code>list_models()</code>의 출력은 Hub에 저장되어 있는 모델들을 나열한 결과입니다.",q,$,ne="마찬가지로, <code>list_datasets()</code>를 사용하여 데이터 세트를 나열하고 <code>list_spaces()</code>를 사용하여 Spaces를 나열할 수 있습니다.",B,b,E,M,ie=`리포지토리를 나열하는 것도 유용하지만, 검색을 필터링하고 싶을 수도 있습니다.
리스트에는 다음과 같은 여러 속성이 있습니다.`,N,g,pe="<li><code>filter</code></li> <li><code>author</code></li> <li><code>search</code></li> <li>…</li>",W,_,oe=`이 매개변수 중 두 개는 직관적입니다(<code>author</code> 및 <code>search</code>). 그렇다면 <code>filter</code>는 어떤 것을 나타낼까요?
<code>filter</code>는 <code>ModelFilter</code> 객체(또는 <code>DatasetFilter</code>)를 입력으로 받습니다. 이를 이용해 필터링 하고 싶은 모델을 지정하여 인스턴스를 생성할 수 있습니다.`,F,w,ce="PyTorch로 작동되고 imagenet 데이터 세트로 훈련된, 이미지 분류를 위한 Hub의 모든 모델을 찾는 방법으로 예를 들어보겠습니다. 이 과정은 단일 [ModelFilter]를 사용하여 수행할 수 있습니다. 이때, 필터링 속성들은 ‘논리적 AND’로 결합되어, 지정한 모든 조건을 만족하는 모델만 선택됩니다.",I,v,A,T,me="필터링하는 과정에서 모델을 정렬하고 상위 결과만 선택할 수도 있습니다. 다음 예제는 Hub에서 가장 많이 다운로드된 상위 5개 데이터 세트를 가져옵니다.",Y,j,V,H,re='Hub에서 사용 가능한 필터에 대해 살펴보려면 웹브라우저에서 <a href="https://huggingface.co/models" rel="nofollow">모델</a> 및 <a href="https://huggingface.co/datasets" rel="nofollow">데이터 세트</a> 페이지를 방문하여 일부 매개변수를 검색한 다음, URL에서 값들을 확인해보세요.',D,L,K;return m=new ee({props:{title:"Hub에서 검색하기",local:"search-the-hub",headingTag:"h1"}}),d=new ee({props:{title:"리포지토리를 어떻게 나열하나요?",local:"how-to-list-repositories-",headingTag:"h2"}}),u=new O({props:{code:"ZnJvbSUyMGh1Z2dpbmdmYWNlX2h1YiUyMGltcG9ydCUyMEhmQXBpJTBBYXBpJTIwJTNEJTIwSGZBcGkoKSUwQW1vZGVscyUyMCUzRCUyMGFwaS5saXN0X21vZGVscygp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> HfApi
<span class="hljs-meta">&gt;&gt;&gt; </span>api = HfApi()
<span class="hljs-meta">&gt;&gt;&gt; </span>models = api.list_models()`,wrap:!1}}),b=new ee({props:{title:"리포지토리를 어떻게 필터링하나요?",local:"how-to-filter-repositories-",headingTag:"h2"}}),v=new O({props:{code:"bW9kZWxzJTIwJTNEJTIwaGZfYXBpLmxpc3RfbW9kZWxzKCUwQSUyMCUyMCUyMCUyMGZpbHRlciUzRE1vZGVsRmlsdGVyKCUwQSUwOSUwOXRhc2slM0QlMjJpbWFnZS1jbGFzc2lmaWNhdGlvbiUyMiUyQyUwQSUwOSUwOWxpYnJhcnklM0QlMjJweXRvcmNoJTIyJTJDJTBBJTA5JTA5dHJhaW5lZF9kYXRhc2V0JTNEJTIyaW1hZ2VuZXQlMjIlMEElMDkpJTBBKQ==",highlighted:`models = hf_api.list_models(
    <span class="hljs-built_in">filter</span>=ModelFilter(
		task=<span class="hljs-string">&quot;image-classification&quot;</span>,
		library=<span class="hljs-string">&quot;pytorch&quot;</span>,
		trained_dataset=<span class="hljs-string">&quot;imagenet&quot;</span>
	)
)`,wrap:!1}}),j=new O({props:{code:"bGlzdChsaXN0X2RhdGFzZXRzKHNvcnQlM0QlMjJkb3dubG9hZHMlMjIlMkMlMjBkaXJlY3Rpb24lM0QtMSUyQyUyMGxpbWl0JTNENSkp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(list_datasets(sort=<span class="hljs-string">&quot;downloads&quot;</span>, direction=-<span class="hljs-number">1</span>, limit=<span class="hljs-number">5</span>))
[DatasetInfo(
	<span class="hljs-built_in">id</span>=<span class="hljs-string">&#x27;argilla/databricks-dolly-15k-curated-en&#x27;</span>,
	author=<span class="hljs-string">&#x27;argilla&#x27;</span>,
	sha=<span class="hljs-string">&#x27;4dcd1dedbe148307a833c931b21ca456a1fc4281&#x27;</span>,
	last_modified=datetime.datetime(<span class="hljs-number">2023</span>, <span class="hljs-number">10</span>, <span class="hljs-number">2</span>, <span class="hljs-number">12</span>, <span class="hljs-number">32</span>, <span class="hljs-number">53</span>, tzinfo=datetime.timezone.utc),
	private=<span class="hljs-literal">False</span>,
	downloads=<span class="hljs-number">8889377</span>,
	(...)`,wrap:!1}}),{c(){c=i("meta"),S=a(),G=i("p"),P=a(),x(m.$$.fragment),Z=a(),r=i("p"),r.innerHTML=se,Q=a(),x(d.$$.fragment),X=a(),f=i("p"),f.innerHTML=le,z=a(),x(u.$$.fragment),R=a(),h=i("p"),h.innerHTML=ae,q=a(),$=i("p"),$.innerHTML=ne,B=a(),x(b.$$.fragment),E=a(),M=i("p"),M.textContent=ie,N=a(),g=i("ul"),g.innerHTML=pe,W=a(),_=i("p"),_.innerHTML=oe,F=a(),w=i("p"),w.textContent=ce,I=a(),x(v.$$.fragment),A=a(),T=i("p"),T.textContent=me,Y=a(),x(j.$$.fragment),V=a(),H=i("p"),H.innerHTML=re,D=a(),L=i("p"),this.h()},l(e){const t=ge("svelte-u9bgzb",document.head);c=p(t,"META",{name:!0,content:!0}),t.forEach(s),S=n(e),G=p(e,"P",{}),de(G).forEach(s),P=n(e),y(m.$$.fragment,e),Z=n(e),r=p(e,"P",{"data-svelte-h":!0}),o(r)!=="svelte-le4amt"&&(r.innerHTML=se),Q=n(e),y(d.$$.fragment,e),X=n(e),f=p(e,"P",{"data-svelte-h":!0}),o(f)!=="svelte-16rf7sn"&&(f.innerHTML=le),z=n(e),y(u.$$.fragment,e),R=n(e),h=p(e,"P",{"data-svelte-h":!0}),o(h)!=="svelte-16vo5ep"&&(h.innerHTML=ae),q=n(e),$=p(e,"P",{"data-svelte-h":!0}),o($)!=="svelte-1ivcqk4"&&($.innerHTML=ne),B=n(e),y(b.$$.fragment,e),E=n(e),M=p(e,"P",{"data-svelte-h":!0}),o(M)!=="svelte-1tvmxil"&&(M.textContent=ie),N=n(e),g=p(e,"UL",{"data-svelte-h":!0}),o(g)!=="svelte-11piw8k"&&(g.innerHTML=pe),W=n(e),_=p(e,"P",{"data-svelte-h":!0}),o(_)!=="svelte-pz9l7h"&&(_.innerHTML=oe),F=n(e),w=p(e,"P",{"data-svelte-h":!0}),o(w)!=="svelte-1uzqvll"&&(w.textContent=ce),I=n(e),y(v.$$.fragment,e),A=n(e),T=p(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-19mvq8d"&&(T.textContent=me),Y=n(e),y(j.$$.fragment,e),V=n(e),H=p(e,"P",{"data-svelte-h":!0}),o(H)!=="svelte-1sye4bu"&&(H.innerHTML=re),D=n(e),L=p(e,"P",{}),de(L).forEach(s),this.h()},h(){fe(c,"name","hf:doc:metadata"),fe(c,"content",ve)},m(e,t){_e(document.head,c),l(e,S,t),l(e,G,t),l(e,P,t),C(m,e,t),l(e,Z,t),l(e,r,t),l(e,Q,t),C(d,e,t),l(e,X,t),l(e,f,t),l(e,z,t),C(u,e,t),l(e,R,t),l(e,h,t),l(e,q,t),l(e,$,t),l(e,B,t),C(b,e,t),l(e,E,t),l(e,M,t),l(e,N,t),l(e,g,t),l(e,W,t),l(e,_,t),l(e,F,t),l(e,w,t),l(e,I,t),C(v,e,t),l(e,A,t),l(e,T,t),l(e,Y,t),C(j,e,t),l(e,V,t),l(e,H,t),l(e,D,t),l(e,L,t),K=!0},p:he,i(e){K||(U(m.$$.fragment,e),U(d.$$.fragment,e),U(u.$$.fragment,e),U(b.$$.fragment,e),U(v.$$.fragment,e),U(j.$$.fragment,e),K=!0)},o(e){J(m.$$.fragment,e),J(d.$$.fragment,e),J(u.$$.fragment,e),J(b.$$.fragment,e),J(v.$$.fragment,e),J(j.$$.fragment,e),K=!1},d(e){e&&(s(S),s(G),s(P),s(Z),s(r),s(Q),s(X),s(f),s(z),s(R),s(h),s(q),s($),s(B),s(E),s(M),s(N),s(g),s(W),s(_),s(F),s(w),s(I),s(A),s(T),s(Y),s(V),s(H),s(D),s(L)),s(c),k(m,e),k(d,e),k(u,e),k(b,e),k(v,e),k(j,e)}}}const ve='{"title":"Hub에서 검색하기","local":"search-the-hub","sections":[{"title":"리포지토리를 어떻게 나열하나요?","local":"how-to-list-repositories-","sections":[],"depth":2},{"title":"리포지토리를 어떻게 필터링하나요?","local":"how-to-filter-repositories-","sections":[],"depth":2}],"depth":1}';function Te(te){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ce extends be{constructor(c){super(),Me(this,c,Te,we,ue,{})}}export{Ce as component};
